Package: org.codehaus.groovy.runtime.metaclass

## [Java] Class TransformMetaMethod

- org.codehaus.groovy.runtime.metaclass.TransformMetaMethod

-     public class TransformMetaMethod
      extends MetaMethod

  A MetaMethod implementation useful for implementing coercion based invocations

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class MetaMethod` | `EMPTY_ARRAY`
    `class ParameterTypes` | `isVargsMethod, nativeParamTypes, parameterTypes`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TransformMetaMethod(MetaMethod metaMethod)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Object` | `doMethodInvoke(Object object, Object[] arguments)`
    `` | `public CachedClass` | `getDeclaringClass()`
    `` | `public int` | `getModifiers()`
    `` | `public String` | `getName()`
    `` | `public Class` | `getReturnType()`
    `` | `public Object` | `invoke(Object object, Object[] arguments)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MetaMethod` | `checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isDefault, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString`
    `class ParameterTypes` | `coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`

- - ### Constructor Detail

    - #### public TransformMetaMethod(MetaMethod metaMethod)

  - ### Method Detail

    - #### @Override
      public Object doMethodInvoke(Object object, Object[] arguments)

    - #### @Override
      public CachedClass getDeclaringClass()

    - #### @Override
      public int getModifiers()

    - #### @Override
      public String getName()

    - #### @Override
      public Class getReturnType()

    - #### @Override
      public Object invoke(Object object, Object[] arguments)